/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla Communicator client code, released
 * March 31, 1998.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Joe Hewitt (hewitt@netscape.com)
 *   Kevin Gerich (webmail@kmgerich.com)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* ===== menulist.css ===================================================
  == Styles used by the XUL menulist element.
  ======================================================================= */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace html url("http://www.w3.org/1999/xhtml");

/* :::::::::: menulist :::::::::: */

menulist {
  -moz-appearance: menulist;
  margin: 2px 4px;
  min-height: 20px !important;
}

.menulist-label-box {
  -moz-appearance: menulist-text;
  color: -moz-DialogText;
  -moz-box-align: center;
  -moz-box-pack: center;
}

.menulist-label {
  margin: 1px 3px !important;
}

.menulist-description {
  font-style: italic;
  color: GrayText;
  -moz-margin-start: 1ex !important;
}

/* ..... dropmarker ..... */

.menulist-dropmarker {
  display: none;
}

/* ..... disabled state ..... */

menulist[disabled="true"] {
  color: #777777 !important;
}

menulist[disabled="true"] > .menulist-dropmarker {
  padding-left: 7px !important;
}

/* ::::: editable menulists ::::: */

menulist[editable="true"] {
  -moz-user-focus: normal;
}

menulist[editable="true"] > .menulist-dropmarker {
  -moz-border-left-colors: #000000 #CCCCCC #FFFFFF;
  -moz-border-radius: 2px;
}

menulist[editable="true"][open="true"] > .menulist-dropmarker {
  -moz-border-left-colors: #000000 #454545 #555555;
}

.menulist-editable-box {
  margin: -1px 1px -2px -5px;
  padding: 0 2px;
  border: 1px solid #CCCCCC;
  background-color: -moz-Field;
  color: -moz-FieldText;
  -moz-box-align: center;
}

menulist[editable="true"][focused="true"] > .menulist-editable-box {
  -moz-border-top-colors: -moz-mac-focusring -moz-mac-focusring #000000;
  -moz-border-right-colors: -moz-mac-focusring -moz-mac-focusring #000000;
  -moz-border-bottom-colors: -moz-mac-focusring -moz-mac-focusring #000000;
  -moz-border-left-colors: -moz-mac-focusring -moz-mac-focusring #000000;
}

html|*.menulist-editable-input {
  margin: 0px !important;
  border: none !important;
  padding: 0px !important;
  background: inherit;
  font: inherit;
}

/* ::::: compact menulists ::::: */

.menulist-compact {
  -moz-box-align: center;
  -moz-box-pack: center;
  margin: 0;
  border: 2px solid;
  -moz-border-top-colors: ThreeDLightShadow ThreeDHighlight;
  -moz-border-right-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-bottom-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-left-colors: ThreeDLightShadow ThreeDHighlight;
  background-color: -moz-Dialog;
}

.menulist-compact > .menulist-label {
  margin: 0 3px !important;
  text-align: right;

}  

.menulist-compact > .menulist-dropmarker {
  margin-left: 2px;
  border: none;
  padding: 0 !important;
  background: transparent;
}

.menulist-compact[open="true"] {
  -moz-border-top-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-right-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-bottom-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-left-colors: ThreeDDarkShadow ThreeDShadow;
  background-color: ThreeDShadow;
}


listbox menulist:not([disabled]) {
  color: #000;
}
